%define	version	1.3.1
%define release	6mdk
%define fname	mpeg_lib
%define major	1
%define lname	libbmpeg
%define libname	%lname%major

Summary:	Mpeg library
Name:		%libname
Version:	%version
Release:	%release
License:	GPL
Group:		System/Libraries
Source0:	ftp://ftp.mni.mcgill.ca/pub/mpeg/%fname-1.3.1.tar.bz2
Patch1:		libmpeg1-1.3.1-debian.diff.bz2
Patch2:		mpeg_lib-1.3.1-bad_cast.patch.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	%fname libbmpeg
Provides:	%fname libbmpeg
URL:		http://starship.python.net/~gward/mpeglib/

%description
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.

A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

%package devel
Summary:	Mpeg library devel package
Group:		System/Libraries
Requires:   %name = %version
Obsoletes: mpeg_lib-devel
Provides: mpeg_lib-devel %lname-devel

%description devel
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.
 
A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

This package contains static libraries and header files need for development.


%prep
%setup -q -n %fname-%{version}
%patch1 -p1
%patch2 -p1 -b .bad_cast

%build
export OPTIMIZE="$RPM_OPT_FLAGS -fPIC"
%configure

%make
make shlib

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 libmpeg.so.1.3.1 $RPM_BUILD_ROOT%{_libdir}/libbmpeg.so.1.3.1
install -D -m 644 libmpeg.a $RPM_BUILD_ROOT%{_libdir}/libbmpeg.a
install -D -m 644 mpeg.h $RPM_BUILD_ROOT/usr/include/bmpeg.h
(cd  $RPM_BUILD_ROOT%{_libdir}/; ln -s libbmpeg.so.1.3.1 libbmpeg.so)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/libbmpeg.so.*


%files devel
%defattr(-,root,root)
%doc doc/*
%{_libdir}/libbmpeg.a
%{_libdir}/libbmpeg.so
%{_includedir}/bmpeg.h

%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3.1-6mdk
- cosmetics
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-5mdk
- Patch2: Fix some idiotic bad casts int <-> pointer
- rpmlint fixes: hardcoded-library-path

* Sat Nov  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.1-4mdk
- fix broken ia64 -fPIC change
- add URL tag

* Thu Oct 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-3mdk
- make it -fpic aware for ia64

* Thu Oct 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-2mdk
- provides libbmpeg

* Tue Aug 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-1mdk
- libify
- clean spec

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-11mdk
- add so link

* Thu Jul  5 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.3.1-10mdk
- ia64 adaptation

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-9mdk
- spec cleaning

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-8mdk
- Correct typo fault in description tag

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-7mdk
- Adding requires flag to devel package

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-6mdk
- Correct a broken link (Thx to Stefan van der Eijk) 

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-5mdk
- add soname
- rename lib, no more confict with kdemultimedia

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-4mdk
- BM, macros
- split documentation

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3.1-3mdk
- Fix %%doc
- Fix description of devel package
- Remove unnecessary %%post
- Remove french Description and Summary
- Use %%{_tmppath} for BuildRoot

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.3.1-2mdk
- build mpeg_lib and mpeg_lib-devel

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.3.1-1mdk
- Build Release.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix url and source path

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix french translation

* Tue Jul 6 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new library needed for gimp
- adaptation to Mandrake
- includes fixed
